Bug 86830 - ComposedShadowTreeWalker traverses nodes wrongly if it encounters inactive InsertionPoint.
Summary: ComposedShadowTreeWalker traverses nodes wrongly if it encounters inactive In...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hayato Ito
URL:
Keywords:
Depends on: 86829
Blocks: 78585 87229
  Show dependency treegraph
 
Reported: 2012-05-18 02:17 PDT by Hayato Ito
Modified: 2012-05-23 01:07 PDT (History)
6 users (show)

See Also:


Attachments
fix isActive (6.98 KB, patch)
2012-05-22 05:19 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hayato Ito 2012-05-18 02:17:52 PDT
ComposedShadowTreeWalker traverse nodes wrongly if it encounter inactive InsertionPoints.
We should traverse an inactive InsertionPoint as if it was normal node.
Comment 1 Hayato Ito 2012-05-22 05:19:00 PDT
Created attachment 143282 [details]
fix isActive
Comment 2 WebKit Review Bot 2012-05-22 20:35:56 PDT
Comment on attachment 143282 [details]
fix isActive

Clearing flags on attachment: 143282

Committed r118111: <http://trac.webkit.org/changeset/118111>
Comment 3 WebKit Review Bot 2012-05-22 20:36:01 PDT
All reviewed patches have been landed.  Closing bug.